function predn7_GUI
clear all; close all; clc

% definujeme zakladne okno na ktore si umiestnime ovladacie prvky
% na jeho neskorsie vyhladanie mozeme pouzit bud handle(mainfig) alebo
% pomocou tagu a prikazu findobj('Tag','mainwindow')

MainFig = figure('Name','Predn7','NumberTitle','off','Tag','mainwindow');

% prikazom set nastavime dodatocne parametre, velkost a polohu
set(MainFig,'Resize','off', 'menubar', 'none')
set(findobj('Tag','mainwindow'),'position',[200, 200, 850, 500])

% vlozime osi na vykreslovanie grafiky
MainAx = axes('Units','Pixels','Position',[100 50 550 400],'visible','on','Tag','MainAx');

% umiestnime tlacidlo na nacitanie udajov

LoadButton = uicontrol('style','pushbutton','String','Nacitaj udaje', ...
            'position', [700 350, 90 30],'Callback',@LoadButton_Callback);

% umiestnime tlacidlo na vykreslenie udajov        
PlotButton = uicontrol('style','pushbutton','String','Vykresli udaje', ...
            'position', [700 300, 90 30],'Callback',@PlotButton_Callback);
        
% umiestnime roletku pomocou ktorej zvolime typ vykreslenia udajov         
Plot_popup = uicontrol('style','popup','String','Scatter|Surface|Image', ...
            'position', [700 250, 90 30]);

     
function LoadButton_Callback(src, eventdata)
global data

data = uigetfile('*.dat')

PlotButton_Callback



function PlotButton_Callback(src, eventdata)
global data



% read data
sonar = dlmread(data,'\t',1,0);

x = sonar(:,1);
y = sonar(:,2);
z = sonar(:,3);

% zisti zvoleny typ vykreslovania
% 1. najdi objekt typu popup
plot_type = findobj('style','popup');
% 2. nacitaj z handlu tohoto prvku zvoleny parameter typu vykreslenia
get(plot_type,'value');

switch get(plot_type,'value')
    case 1  % hodnota 1 znamena scatter
        % zobrazi polohy meracich bodov a nameranu hlbku vyobrazi pomocou
        % farby symbolu (v nasom pripade kruzok)
        scatter(gca,x,y,20,z,'o','fill')
        % dodatocne parametre zobrazenia        
        rotate3d off
        % popis osi
        xlabel('Easting [m]')
        ylabel('Northing [m]')
        
        colorbar
    case 2	% hodnota 2 znamena surface map
        % vytvori polohovu maticu s krokom 2x2 m
        step = 2;
        [Xg,Yg] = meshgrid(min(x):step:max(x),min(y):step:max(y));
        % pre uvedene polohy vyinterpoluje hlbkove udaje
        Vg = griddata(x,y,z,Xg,Yg, 'natural');
        % zobrazi vo forme 3D povrchovej mapy
        surf(gca,Xg,Yg,Vg)
        % dodatocne parametre zobrazenia
        shading interp
        rotate3d on
        % popis osi
        xlabel('Easting [m]')
        ylabel('Northing [m]')
        % zobrazi farebnu skalu
        colorbar
        
    case 3  % hodnota 2 znamena image map
        
        % vytvori polohovu maticu s krokom 2x2 m
        step = 2;
        [Xg,Yg] = meshgrid(min(x):step:max(x),min(y):step:max(y));
        % pre uvedene polohy vyinterpoluje hlbkove udaje
        Vg = griddata(x,y,z,Xg,Yg, 'natural');
        % zobrazi vo forme pseudocolor image mapy
        pcolor(gca,Xg,Yg,Vg)
        % dodatocne parametre zobrazenia
        shading interp
        rotate3d off
        % popis osi
        xlabel('Easting [m]')
        ylabel('Northing [m]')
        % zobrazi farebnu skalu
        colorbar
end